Index: doc/latex/classBMcond__inherit__graph.eps
===================================================================
--- doc/latex/classBMcond__inherit__graph.eps (revision 224)
+++ doc/latex/classBMcond__inherit__graph.eps (revision 234)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 602 124
+%%PageBoundingBox: 36 36 216 368
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 566 88 boxprim clip newpath
+36 36 180 332 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 172 58 moveto
-172 79 lineto
-226 79 lineto
-226 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 172 58 moveto
-172 79 lineto
-226 79 lineto
-226 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-180 65.5 moveto 38 (BMcond) alignedtext
+newpath 0 208 moveto
+0 229 lineto
+54 229 lineto
+54 208 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 208 moveto
+0 229 lineto
+54 229 lineto
+54 208 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+8 215.5 moveto 38 (BMcond) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 0 1 58 21 ]
+[ /Rect [ 102 304 160 324 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classEKF__unQ.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 0 0 moveto
-0 21 lineto
-58 21 lineto
-58 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 0 moveto
-0 21 lineto
-58 21 lineto
-58 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-8 7.5 moveto 42 (EKF_unQ) alignedtext
+newpath 102 303 moveto
+102 324 lineto
+160 324 lineto
+160 303 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 102 303 moveto
+102 324 lineto
+160 324 lineto
+160 303 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+110 310.5 moveto 42 (EKF_unQ) alignedtext
 grestore
 % Node1->Node2
@@ -236,18 +236,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 162 62 moveto
-124 52 70 33 42 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 161.51 65.47 moveto
-172 64 lineto
-162.88 58.61 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 161.51 65.47 moveto
-172 64 lineto
-162.88 58.61 lineto
+newpath 51 237 moveto
+62 250 75 265 90 277 curveto
+102 286 120 292 127 303 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 53.22 234.22 moveto
+44 229 lineto
+47.95 238.83 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 53.22 234.22 moveto
+44 229 lineto
+47.95 238.83 lineto
 closepath stroke
 grestore
@@ -257,18 +258,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 162 58 moveto
-129 48 82 32 53 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 161.42 61.48 moveto
-172 61 lineto
-163.43 54.77 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 161.42 61.48 moveto
-172 61 lineto
-163.43 54.77 lineto
+newpath 39 237 moveto
+51 254 70 279 90 295 curveto
+94 298 98 301 103 303 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 41.8 234.9 moveto
+33 229 lineto
+36.2 239.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 41.8 234.9 moveto
+33 229 lineto
+36.2 239.1 lineto
 closepath stroke
 grestore
@@ -278,39 +280,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 162 55 moveto
-131 44 87 28 58 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 161.42 58.48 moveto
-172 58 lineto
-163.43 51.77 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 161.42 58.48 moveto
-172 58 lineto
-163.43 51.77 lineto
-closepath stroke
-grestore
-% Node1->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 173 54 moveto
-142 42 91 25 58 17 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 172.42 57.54 moveto
-183 58 lineto
-175.02 51.04 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 172.42 57.54 moveto
-183 58 lineto
-175.02 51.04 lineto
+newpath 33 239 moveto
+43 261 65 293 90 313 curveto
+101 321 117 327 125 324 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 35.96 236.98 moveto
+29 229 lineto
+29.46 239.58 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 35.96 236.98 moveto
+29 229 lineto
+29.46 239.58 lineto
 closepath stroke
 grestore
@@ -318,20 +300,20 @@
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 76 0 moveto
-76 21 lineto
-145 21 lineto
-145 0 lineto
+newpath 97 265 moveto
+97 286 lineto
+166 286 lineto
+166 265 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 76 0 moveto
-76 21 lineto
-145 21 lineto
-145 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-83.5 7.5 moveto 53 (EKF_unQful) alignedtext
+newpath 97 265 moveto
+97 286 lineto
+166 286 lineto
+166 265 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+104.5 272.5 moveto 53 (EKF_unQful) alignedtext
 grestore
 % Node1->Node3
@@ -340,23 +322,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 173 52 moveto
-158 42 138 29 125 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 171.74 55.37 moveto
-182 58 lineto
-175.62 49.54 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 171.74 55.37 moveto
-182 58 lineto
-175.62 49.54 lineto
+newpath 52 234 moveto
+64 242 77 250 90 257 curveto
+95 260 101 262 107 265 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 53.44 230.8 moveto
+43 229 lineto
+50.04 236.92 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 53.44 230.8 moveto
+43 229 lineto
+50.04 236.92 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 162 1 236 21 ]
+[ /Rect [ 94 228 168 248 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classEKFCh__cond.html) >>
@@ -364,20 +347,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 162 0 moveto
-162 21 lineto
-237 21 lineto
-237 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 162 0 moveto
-162 21 lineto
-237 21 lineto
-237 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-169.5 7.5 moveto 59 (EKFCh_cond) alignedtext
+newpath 94 227 moveto
+94 248 lineto
+169 248 lineto
+169 227 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 94 227 moveto
+94 248 lineto
+169 248 lineto
+169 227 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+101.5 234.5 moveto 59 (EKFCh_cond) alignedtext
 grestore
 % Node1->Node4
@@ -386,18 +369,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 193 48 moveto
-192 38 193 28 194 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 189.52 48.4 moveto
-194 58 lineto
-196.49 47.7 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 189.52 48.4 moveto
-194 58 lineto
-196.49 47.7 lineto
+newpath 64 219 moveto
+77 221 91 224 103 227 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 64.3 215.51 moveto
+54 218 lineto
+63.6 222.48 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 64.3 215.51 moveto
+54 218 lineto
+63.6 222.48 lineto
 closepath stroke
 grestore
@@ -407,23 +390,116 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 205 48 moveto
-206 38 205 28 204 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 201.51 47.7 moveto
-204 58 lineto
-208.48 48.4 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 201.51 47.7 moveto
-204 58 lineto
-208.48 48.4 lineto
+newpath 60 231 moveto
+71 234 83 236 94 238 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 60.49 227.53 moveto
+50 229 lineto
+59.12 234.39 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 60.49 227.53 moveto
+50 229 lineto
+59.12 234.39 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 254 1 310 21 ]
+[ /Rect [ 91 190 171 210 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classEKFCh__du__kQ.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 91 189 moveto
+91 210 lineto
+172 210 lineto
+172 189 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 91 189 moveto
+91 210 lineto
+172 210 lineto
+172 189 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+98.5 196.5 moveto 65 (EKFCh_du_kQ) alignedtext
+grestore
+% Node1->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 64 212 moveto
+73 210 82 208 91 207 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 63.12 208.61 moveto
+54 214 lineto
+64.49 215.47 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 63.12 208.61 moveto
+54 214 lineto
+64.49 215.47 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 96 152 166 172 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classEKFCh__unQ.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 96 151 moveto
+96 172 lineto
+167 172 lineto
+167 151 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 96 151 moveto
+96 172 lineto
+167 172 lineto
+167 151 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+103.5 158.5 moveto 55 (EKFCh_unQ) alignedtext
+grestore
+% Node1->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 53 203 moveto
+64 195 78 187 90 181 curveto
+96 178 102 175 107 172 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 51.04 200.08 moveto
+44 208 lineto
+54.44 206.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 51.04 200.08 moveto
+44 208 lineto
+54.44 206.2 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 103 114 159 134 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classEKFfixed.html) >>
@@ -431,45 +507,46 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 254 0 moveto
-254 21 lineto
-310 21 lineto
-310 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 254 0 moveto
-254 21 lineto
-310 21 lineto
-310 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-262 7.5 moveto 40 (EKFfixed) alignedtext
-grestore
-% Node1->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 223 52 moveto
-238 42 256 29 268 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 220.9 49.2 moveto
-215 58 lineto
-225.1 54.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 220.9 49.2 moveto
-215 58 lineto
-225.1 54.8 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 328 1 402 21 ]
+newpath 103 113 moveto
+103 134 lineto
+159 134 lineto
+159 113 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 103 113 moveto
+103 134 lineto
+159 134 lineto
+159 113 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+111 120.5 moveto 40 (EKFfixed) alignedtext
+grestore
+% Node1->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 40 200 moveto
+51 183 70 158 90 143 curveto
+94 140 99 137 104 134 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 37.2 197.9 moveto
+34 208 lineto
+42.8 202.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 37.2 197.9 moveto
+34 208 lineto
+42.8 202.1 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 94 76 168 96 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classEKFful__unQR.html) >>
@@ -477,45 +554,46 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 328 0 moveto
-328 21 lineto
-403 21 lineto
-403 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 328 0 moveto
-328 21 lineto
-403 21 lineto
-403 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-335.5 7.5 moveto 59 (EKFful_unQR) alignedtext
-grestore
-% Node1->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 236 56 moveto
-266 46 308 31 336 21 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 233.98 53.04 moveto
-226 60 lineto
-236.58 59.54 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 233.98 53.04 moveto
-226 60 lineto
-236.58 59.54 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 420 1 484 21 ]
+newpath 94 75 moveto
+94 96 lineto
+169 96 lineto
+169 75 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 94 75 moveto
+94 96 lineto
+169 96 lineto
+169 75 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+101.5 82.5 moveto 59 (EKFful_unQR) alignedtext
+grestore
+% Node1->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 34 198 moveto
+43 173 62 131 90 105 curveto
+94 102 98 99 103 96 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 30.52 197.42 moveto
+31 208 lineto
+37.23 199.43 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 30.52 197.42 moveto
+31 208 lineto
+37.23 199.43 lineto
+closepath stroke
+grestore
+% Node9
+gsave
+[ /Rect [ 99 38 163 58 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classKFcondQR.html) >>
@@ -523,46 +601,46 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 420 0 moveto
-420 21 lineto
-484 21 lineto
-484 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 420 0 moveto
-420 21 lineto
-484 21 lineto
-484 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-428 7.5 moveto 48 (KFcondQR) alignedtext
-grestore
-% Node1->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 236 61 moveto
-279 52 350 37 411 22 curveto
-414 21 417 20 420 20 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 235.12 57.61 moveto
-226 63 lineto
-236.49 64.47 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 235.12 57.61 moveto
-226 63 lineto
-236.49 64.47 lineto
-closepath stroke
-grestore
-% Node8
-gsave
-[ /Rect [ 502 1 558 21 ]
+newpath 99 37 moveto
+99 58 lineto
+163 58 lineto
+163 37 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 99 37 moveto
+99 58 lineto
+163 58 lineto
+163 37 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+107 44.5 moveto 48 (KFcondQR) alignedtext
+grestore
+% Node1->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 31 198 moveto
+38 165 54 104 90 67 curveto
+93 63 97 61 101 58 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 27.53 197.51 moveto
+29 208 lineto
+34.39 198.88 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 27.53 197.51 moveto
+29 208 lineto
+34.39 198.88 lineto
+closepath stroke
+grestore
+% Node10
+gsave
+[ /Rect [ 103 0 159 20 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classKFcondR.html) >>
@@ -570,41 +648,41 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 502 0 moveto
-502 21 lineto
-559 21 lineto
-559 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 502 0 moveto
-502 21 lineto
-559 21 lineto
-559 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-509.5 7.5 moveto 41 (KFcondR) alignedtext
-grestore
-% Node1->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 236 65 moveto
-292 57 401 43 493 22 curveto
-496 21 499 20 502 20 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 235.6 61.52 moveto
-226 66 lineto
-236.3 68.49 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 235.6 61.52 moveto
-226 66 lineto
-236.3 68.49 lineto
+newpath 103 -1 moveto
+103 20 lineto
+160 20 lineto
+160 -1 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 103 -1 moveto
+103 20 lineto
+160 20 lineto
+160 -1 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+110.5 6.5 moveto 41 (KFcondR) alignedtext
+grestore
+% Node1->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 29 198 moveto
+32 159 46 78 90 29 curveto
+94 25 98 22 103 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 25.51 197.7 moveto
+28 208 lineto
+32.48 198.4 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 25.51 197.7 moveto
+28 208 lineto
+32.48 198.4 lineto
 closepath stroke
 grestore
@@ -616,5 +694,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 602 124
+%%BoundingBox: 36 36 216 368
 end
 restore
